Bug 145998 - [iOS] Canvas dimensions should be limited to 4096x4096 pixels on iOS devices
Summary: [iOS] Canvas dimensions should be limited to 4096x4096 pixels on iOS devices
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-15 18:24 PDT by Said Abou-Hallawa
Modified: 2024-03-14 13:51 PDT (History)
5 users (show)

See Also:


Attachments
Patch (6.10 KB, patch)
2015-06-15 18:47 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-mavericks-wk2 (797.46 KB, application/zip)
2015-06-15 19:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-mavericks (551.30 KB, application/zip)
2015-06-15 19:23 PDT, Build Bot
no flags Details
Patch (7.62 KB, patch)
2015-06-15 19:45 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (6.29 KB, patch)
2015-06-16 10:15 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (6.19 KB, patch)
2015-06-16 10:39 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (6.19 KB, patch)
2015-06-16 10:55 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2015-06-15 18:24:52 PDT
Currently the Canvas size is limited to 256 Mega pixels (1 GB) on all platforms. The dimensions should be limited to 16 Mega pixels (64 MB) if the physical memory is less than 1 GB.
Comment 1 Said Abou-Hallawa 2015-06-15 18:47:22 PDT
Created attachment 254919 [details]
Patch
Comment 2 Build Bot 2015-06-15 19:13:00 PDT
Comment on attachment 254919 [details]
Patch

Attachment 254919 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/5345401934708736

New failing tests:
canvas/drawing/image-create-limit-size.html
fast/canvas/pattern-too-large-to-create.html
fast/canvas/canvas-toDataURL-crash.html
Comment 3 Build Bot 2015-06-15 19:13:02 PDT
Created attachment 254921 [details]
Archive of layout-test-results from ews106 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 4 Build Bot 2015-06-15 19:23:04 PDT
Comment on attachment 254919 [details]
Patch

Attachment 254919 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5842414476460032

New failing tests:
canvas/drawing/image-create-limit-size.html
fast/canvas/pattern-too-large-to-create.html
fast/canvas/canvas-toDataURL-crash.html
Comment 5 Build Bot 2015-06-15 19:23:06 PDT
Created attachment 254923 [details]
Archive of layout-test-results from ews102 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 6 Said Abou-Hallawa 2015-06-15 19:45:55 PDT
Created attachment 254925 [details]
Patch
Comment 7 Gavin Barraclough 2015-06-15 19:48:07 PDT
Comment on attachment 254925 [details]
Patch

I've commented in radar already, so will keep comment here brief.

16384x16384 seems to be way too high on iOS, even for 1GB and 2GB device (since this would allow a canvas larger than the per-process memory limit). I'd suggest 4096x4096 for all iOS devices (and 16384x16384 seems high for other platforms, too).
Comment 8 Said Abou-Hallawa 2015-06-16 10:15:58 PDT
Created attachment 254955 [details]
Patch
Comment 9 Said Abou-Hallawa 2015-06-16 10:39:28 PDT
Created attachment 254956 [details]
Patch
Comment 10 Said Abou-Hallawa 2015-06-16 10:53:08 PDT
<rdar://problem/21382003>
Comment 11 Said Abou-Hallawa 2015-06-16 10:55:30 PDT
Created attachment 254959 [details]
Patch
Comment 12 Said Abou-Hallawa 2015-06-16 10:59:05 PDT
The new patch changes the line number of the log message in the test expected result. This happened because of deleting an invalid comment from the test.
Comment 13 WebKit Commit Bot 2015-06-16 12:51:40 PDT
Comment on attachment 254959 [details]
Patch

Clearing flags on attachment: 254959

Committed r185603: <http://trac.webkit.org/changeset/185603>
Comment 14 WebKit Commit Bot 2015-06-16 12:51:47 PDT
All reviewed patches have been landed.  Closing bug.